-- vehicle sensor 'PSP_S_Door2eLap_physics01' @ 931.53,-30.78,-121.16
function vehicleSensor_PSP_S_Door2eLap_physics01(iCar)
	cfunction("triggerAnimation","PSP_A_DR_scnd_lap02",0,1,iCar)
	cfunction("triggerPhysicsBlock","RigidBody01",0,iCar)
	cfunction("triggerPhysicsBlock","RigidBody02",1,iCar)
end

-- vehicle sensor 'PSP_S_A01' @ 393.61,-30.97,-96.22
function vehicleSensor_PSP_S_A01(iCar)
	cfunction("triggerAnimation","PSP_A_Door01_01",0,3,iCar)
	cfunction("triggerSoundSample","env_UK_pneumatic_doors2",1,0.000000,0.000000, "PSP_A_Door01_01", iCar)
end

-- vehicle sensor 'PSP_S_Farplane_physics01' @ 129.22,3.13,-36.89
function vehicleSensor_PSP_S_Farplane_physics01(iCar)
	cfunction("triggerPhysicsBlock","RigidBody03",0,iCar)
	cfunction("triggerPhysicsBlock","RigidBody02",0,iCar)
end

-- camera sensor 'PSP_S_Farplane_physics01' @ 129.22,3.13,-36.89
function camSensor_PSP_S_Farplane_physics01()
	cfunction("changeFarPlane",180.000000)
end

-- vehicle sensor 'PSP_S_A_Door02_01' @ 817.46,-18.01,-180.87
function vehicleSensor_PSP_S_A_Door02_01(iCar)
	cfunction("triggerAnimation","PSP_A_Door02_01",0,3,iCar)
end

-- vehicle sensor 'PSP_S_Ambient19' @ 350.58,-31.85,-137.93
function vehicleSensor_PSP_S_Ambient19(iCar)
	cfunction("changeRacerAmbient",300.000000,53,32,12)
end

-- vehicle sensor 'PSP_S_A02' @ 612.03,-30.97,-93.54
function vehicleSensor_PSP_S_A02(iCar)
	cfunction("triggerAnimation","PSP_A_Door01_02",0,3,iCar)
	cfunction("triggerSoundSample","SLS_SAND",1,0.000000,0.000000, "PSP_A_Door01_02", iCar)
end

-- vehicle sensor 'PSP_S_Door2eLap_02' @ 344.06,-26.71,9.04
function vehicleSensor_PSP_S_Door2eLap_02(iCar)
	cfunction("triggerAnimation","PSP_A_DR_scnd_lap01",0,1,iCar)
end

-- vehicle sensor 'PSP_S_Door2eLap_03' @ 272.14,-23.95,-137.79
function vehicleSensor_PSP_S_Door2eLap_03(iCar)
	cfunction("triggerAnimation","PSP_A_DR_scnd_lap03",0,3,iCar)
end

-- vehicle sensor 'PSP_S_Ambient41' @ 516.22,-23.02,-222.84
function vehicleSensor_PSP_S_Ambient41(iCar)
	cfunction("startLuaScript","tpp_bloom02",0,iCar)
	cfunction("changeRacerAmbient",300.000000,95,58,29)
end

-- vehicle sensor 'PSP_S_Ambient18' @ 1124.89,-12.42,-167.96
function vehicleSensor_PSP_S_Ambient18(iCar)
	cfunction("changeRacerAmbient",500.000000,53,32,12)
end

-- vehicle sensor 'PSP_S_restart_02' @ 533.57,-46.38,-119.98
function vehicleSensor_PSP_S_restart_02(iCar)
end

-- vehicle sensor 'PSP_S_Bloom2_01' @ 809.99,-29.14,-155.43
function vehicleSensor_PSP_S_Bloom2_01(iCar)
	cfunction("startLuaScript","tpp_bloom03",0,iCar)
end

-- vehicle sensor 'PSP_S_Bloom2_02' @ 516.42,-29.14,-92.41
function vehicleSensor_PSP_S_Bloom2_02(iCar)
	cfunction("startLuaScript","tpp_bloom02",0,iCar)
end

-- vehicle sensor 'PSP_S_physics03' @ 875.71,-25.60,-169.00
function vehicleSensor_PSP_S_physics03(iCar)
	cfunction("triggerPhysicsBlock","RigidBody03",1,iCar)
	cfunction("triggerPhysicsBlock","RigidBody04",0,iCar)
end

-- vehicle sensor 'PSP_S_finish' @ -225.92,-2.63,191.24
function vehicleSensor_PSP_S_finish(iCar)
	cfunction("startLuaScript","finishrace",0,iCar)
end

-- vehicle sensor 'PSP_S_A03' @ 177.09,-30.97,166.80
function vehicleSensor_PSP_S_A03(iCar)
	cfunction("triggerAnimation","PSP_A_Door03_01",0,3,iCar)
	cfunction("triggerSoundSample","SLS_SAND",1,0.000000,0.000000, "PSP_A_Door03_01", iCar)
end

-- vehicle sensor 'PSP_S_A04' @ -42.78,-30.97,241.39
function vehicleSensor_PSP_S_A04(iCar)
	cfunction("triggerAnimation","PSP_A_Door03_02",0,3,iCar)
	cfunction("triggerSoundSample","SLS_SAND",1,0.000000,0.000000, "PSP_A_Door03_02", iCar)
end

-- camera sensor 'PSP_S_Farplane02' @ 279.77,-18.09,-94.84
function camSensor_PSP_S_Farplane02()
	cfunction("changeFarPlane",400.000000)
end

-- camera sensor 'PSP_S_Farplane03' @ -49.89,-26.65,248.89
function camSensor_PSP_S_Farplane03()
	cfunction("changeFarPlane",400.000000)
end

-- vehicle sensor 'PSP_S_Checkpoint01' @ -400.15,2.23,-48.55
function vehicleSensor_PSP_S_Checkpoint01(iCar)
	cfunction("startLuaScript","challenge_checkpoint",0,iCar)
end

-- vehicle sensor 'PSP_S_Checkpoint_2ndRound' @ 302.49,-23.29,-80.72
function vehicleSensor_PSP_S_Checkpoint_2ndRound(iCar)
	cfunction("triggerSensor","PSP_S_Checkpoint22",1,iCar)
	cfunction("triggerSensor","PSP_S_Checkpoint21",1,iCar)
	cfunction("triggerSensor","PSP_S_Checkpoint20",1,iCar)
	cfunction("triggerSensor","PSP_S_Checkpoint19",1,iCar)
	cfunction("triggerSensor","PSP_S_Checkpoint18",1,iCar)
	cfunction("triggerSensor","PSP_S_Checkpoint17",1,iCar)
end

-- weapon sensor 'PSP_S_Weapon_int01' @ 262.97,-11.43,-156.25
function weaponSensor_PSP_S_Weapon_int01(iWeaponId)
	cfunction("triggerWeaponInteraction","PSP_A_DR_scnd_lap03",iWeaponId)
end

-- weapon sensor 'PSP_S_Weapon_int02' @ 792.78,-19.67,-183.40
function weaponSensor_PSP_S_Weapon_int02(iWeaponId)
	cfunction("triggerWeaponInteraction","PSP_A_Door02_01",iWeaponId)
end

-- weapon sensor 'PSP_S_Weapon_int03' @ 413.04,-29.52,-88.56
function weaponSensor_PSP_S_Weapon_int03(iWeaponId)
	cfunction("triggerWeaponInteraction","PSP_A_Door01_01",iWeaponId)
end

-- weapon sensor 'PSP_S_Weapon_int04' @ 622.73,-29.52,-90.88
function weaponSensor_PSP_S_Weapon_int04(iWeaponId)
	cfunction("triggerWeaponInteraction","PSP_A_Door01_02",iWeaponId)
end

-- weapon sensor 'PSP_S_Weapon_int05' @ 151.35,-27.59,169.33
function weaponSensor_PSP_S_Weapon_int05(iWeaponId)
	cfunction("triggerWeaponInteraction","PSP_A_Door03_01",iWeaponId)
end

function initTriggerAreas()
	cfunction("createPhysicsBlock","RigidBody01")
	cfunction("createPhysicsBlock","RigidBody02")
	cfunction("preloadSoundSample","env_UK_pneumatic_doors2")
	cfunction("createPhysicsBlock","RigidBody03")
	cfunction("createPhysicsBlock","RigidBody02")
	cfunction("preloadSoundSample","SLS_SAND")
	cfunction("createPhysicsBlock","RigidBody03")
	cfunction("createPhysicsBlock","RigidBody04")
	cfunction("preloadSoundSample","SLS_SAND")
	cfunction("preloadSoundSample","SLS_SAND")
end
